<?php
// prepare connection
$dsn = 'mysql:host=localhost;port=3306;dbname=dbname';
$username = 'dbuser';
$password = 'password';
$options = array(
    PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES 'utf8mb4'",
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_OBJ,
    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION
);

try {
    $pdo = new PDO($dsn, $username, $password, $options);
} catch (PDOException $e) {
    echo $e->getMessage();
    die();
}

// delete data
$action = $_GET['action'];
if ($action == 'delete') {
    $id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_NUMBER_INT);
    if ($id <= 0) {
        echo 'Debe seleccionar un usuario valido';
        die();
    }

    try {
        $stmt = $pdo->prepare("DELETE FROM users WHERE id=:id");
        $stmt->bindParam('id',  $id, PDO::PARAM_INT);
        $stmt->execute();

        echo "Registro eliminado correctamente";
    } catch (PDOException $e) {
        echo "Error al eliminar: " . $e->getMessage();
    }
}

// query users
$stmt = $pdo->prepare("SELECT * FROM users");
$stmt->execute();
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Delete MySQL</title>
</head>
<body>

<section>
    <div class="content">
        <h3>Eliminar de datos</h3>
        <ul>
            <?php while (($result = $stmt->fetch()) !== false): ?>
            <li>
                <?php echo $result->name; ?> (<a href="delete.php?action=delete&id=<?php echo $result->id; ?>">Eliminar</a>)
            </li>
            <?php endwhile; ?>
        </ul>
    </div>
</section>
</body>
</html>